Knowledge Base

cancel
Showing results for 
Search instead for 
Did you mean: 

Release Upgrade Checklist for Dynamic Language Agents

To make sure you complete all the tasks necessary for upgrading your dynamic language agents after a release, we recommend following the instructions in our upgrade checklist. This guide is not release-specific and can be referenced for any release.

 

Preparation

  1. Review the Product Announcements and Alerts page for details on any intermediate versions between the current version of your instance and the version you are targeting.

  2. Review the compatibility matrix in our Community and technical documentation for various components of the AppDynamics environment.

 

Upgrading Dynamic Language Agents

  1. Starting in release 4.5, Language Agents are automatically backward-compatible with any 4.4.1+  Controller, so you can upgrade your agent while retaining your 4.4.1+ Controller. If your Controller is older than 4.4.1, you must upgrade your Controller before upgrading your Language Agent. Review the Agent/Controller compatibility matrix for compatibility mappings between Language Agent and Controller versions. 
  2. Tip! Upgrade agents first on downstream tiers and then on upstream tiers to ensure a successful correlation.
  3. Tip! If you are upgrading multiple agents in your monitored environment, upgrade the agents for the tiers on which business transactions originate last.
  4. See Upgrade the PHP Agent for step-by-step instructions.
  5. See Upgrade the Python Agent for step-by-step instructions.
  6. See Upgrade the Apache Agent for step-by-step instructions.
  7. See Upgrade the Node.js Agent for step-by-step instructions.
  8. In the event of a failure, uninstall the new agent version and reinstall the older version.

 

Instructions for upgrading other AppDynamics components are available in our general Release Upgrade Checklist 

Version history
Revision #:
13 of 13
Last update:
4 weeks ago
Updated by:
 
Labels (1)
0 Kudos